Subject: manager subscription model for notifications: usage survey

From: Andy Bierman <[email-masked]>
Date: Fri, 28 Apr 2006 07:21:05 -0700

Hi,

I am having a hard time understanding how the
peer-to-peer manager subscribe model defined
in the notifications draft fits with syslog and
SNMP notifications already in use.

Who is using this model today?
What products work this way today?

IMO, this is much different than the Tibco model.
That is a publish/subscribe model with a virtual bus.
The netconf proposal uses multiple point-to-point
manager-initiated subscriptions instead.

I think it would be wise to understand how the entire
managed system is going to work when netconf notifications
are added to the mix.   How will a network of 100 - 10000 devics
behave in various common failure scenarios?

If this subscribe-only model is not being used in a meaningful
way in the real world, then I don't understand why we need
to standardize it at all.

Andy

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>